dcraw(1)

NAMN
dcraw - kommandoradsavkodare för digitala råfoton (raw)

SYNTAX
dcraw [FLAGGA]... [FIL]...

BESKRIVNING
dcraw avkodar råfoton, visar metadata och extraherar miniatyrbilder.

GENERELLA FLAGGOR

-v  Skriv utförliga meddelanden, inte bara varningar och fel.

-c  Skriv avkodade bilder eller miniatyrbilder till standardutenhet.

-e  Extrahera den kameragenererade miniatyrbilden. Inte råfotot. Du får antingen en JPEG- eller en PPM-fil, beroende på kameramodell.

-z  Ändra användnings- och förändringstiderna för en AVI, JPEG, TIFF eller råfotofil till när bilden togs och anta att kamerans klocka var satt enligt Universal Time (UTC).

-i  Identifiera filerna men avkoda dem inte. Slutstatus är 0 om dcraw kan avkoda den sista filen och 1 om den inte kan det. -i -v visar metadata.

    dcraw kan inte avkoda JPEG-filer!!

REPARATIONSFLAGGOR

-P döda_bildpunkter.txt
    Läs listan med döda bildpunkter från den här filen istället för ".badpixels". Se FILER för en beskrivning av formatet på dessa filer.

-K mörkerbild.pgm
    Subtrahera mörkerbild från råfotot. För att generera en mörkerbild, ta en råfoto utan ljus (linsskydd på, t.ex.) och kör dcraw -D -4 -j -t 0.

-k mörkhet
    När skuggorna ser dimmiga ut måste du öka mörkhetsnivån. För att mäta detta, applicera pamsumm -mean på den mörkerbild du genererade ovan.

-S mättnad
    När ljusdagrarna ser rosaaktiga ut måste du sänka mättnadsnivån. För att mäta detta, ta en bild på något glansigt och kör dcraw -D -4 -j -c foto.raw | pamsumm -max

    Standardvärdena för mörkhet och mättnad är vanligtvis korrekta.

-n bruströskel
    Använd vågelement för att ta bort brus samtidigt som du behåller riktiga detaljer. Det bästa tröskelvärdet torde vara mellan 100 och 1000.

-C röd_förstoring blå_förstoring
    Förstora de råa röda och blå lagren med dessa faktorer, vanligen mellan 0.999 och 1.001, för att rätta till kromatisk avvikelse.

-H 0
    Klipp alla högdagrar till solid vit (standard).

-H 1
    Låt högdagrar vara oklippta i diverse nyanser av rosa.

-H 2
    Blanda klippta och oklippta värden för en gradvis övergång till vitt.

-H 3+
    Återskapa högdagrarna. Låga siffror gynnar vitt; höga siffror gynnar färger. Prova -H 5 som en kompromiss. Är inte det bra nog, prova -H 9, klipp ut de icke-vita högdagrarna och klistra in dem i en bild som genererats med -H 3.

FÄRGFLAGGOR
Som standard så använder dcraw en fast vitbalans baserad på en färgkarta upplyst med en standard D65-lampa.

-w  Använd kamerans förvalda vitbalans. Skriv ut en varning och använd en annan metod om ingen förvald vitbalans hittas.

-a  Beräkna vitbalansen genom att använda ett genomsnitt av hela bilden.

-A vänster topp bredd höjd
    Beräkna vitbalansen genom att använda ett genomsnitt av en rektangulär yta. Först kör dcraw -j -t 0 och välj en neutralt grå yta.

-r mul0 mul1 mul2 mul3
    Specifiera din egen råfotovitbalans. Dessa multiplikatorer kan klippas ut och klistras in från utdatat av dcraw -v.

+M eller -M
    Använd (eller använd inte) någon färgmatris från kamerans metadata. Standard är +M om -w är valt, annars -M. Detta val påverkar bara Olympus-, Leaf-, och Phase One-kameror.

-o [0-5]
    Välj utdatats färgrymd när valet -p inte används: 0 Rå färg (unik för varje kamera)
    1 sRGB D65 (standard)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ

-p kamera.icm [ -o utdata.icm ]
    Använd ICC-profiler för att definiera kamerans råa färgrymd och den önskade färgrymden för utdatat (sRGB är standard)

-p embed
    Använd ICC-profilen inbäddad i råfotot.

INTERPOLATIONSFLAGGOR

-d  Visa råfotot som en bild i gråskala utan interpolation. Bra för att fotografera svartvita dokument.

-D  Samma som -d, men helt rå (ingen färgskalning).

-h  Skapa en färgbild i halv storlek. Detta är dubbelt så snabbt som -q 0.

-q 0
    Använd bilinjär interpolation. Detta är snabbt men har låg kvalitet.

-q 1
    Använd interpolation med ställbart antal gradienter (VNG).

-q 2
    Använd interpolation med grupperade bildpunktsmönster (PPG).

-q 3
    Använd anpassningsbart och enhetligt riktad interpolation (AHD).

-f  Interpolera RGB som fyra färger. Använd det här om utdatat visar falska 2×2 nät med VNG eller labyrinter med AHD.

-m antal_upprepningar
    Rensa bort färgartefakter efter interpolation genom att upprepade gånger applicera ett 3×3-medianfilter till R-G- och B-G-kanalerna.

UTDATAFLAGGOR
Som standard så skriver dcraw PGM/PPM/PAM med 8-bits samplingar, en BT.709-gammakurva, en histogrambaserad vitnivå och inga metadata.

-W  Använd en fast vitnivå och ignorera bildens histogram.

-b ljusnivå
    Dela vitnivån med denna siffra. 1.0 är standard.

-g upphöjt_till maximal_lutning
    Ställ in gammakurvan, standard är BT.709 (-g 2.222 4.5). Om du föredrar sRGB-gamma, använd -g 2.4 12.92. För en enkel potenskurva, ställ maximal lutning på noll.

-6  Skriv sexton bitar per sampel istället för åtta.

-4  Linjär 16-bit, samma som -6 -W -g 1 1.

-T  Skriv TIFF med metadata istället för PGM/PPM/PAM.

-t [0-7,90,180,270]
    Vrid utbilden. Som standard applicerar dcraw vridningen som kameran specifierat. -t 0 stänger av all vridning.

-j  För Fuji Super CCD-kameror så visas bilden vriden 45 grader. För kameror med ickekvadratiska bildpunkter så sträcks inte bilden ut till sitt korrekta förhållande mellan höjd och bredd. Hur som helst, så garanterar detta val att varje bildpunkt på utbilden motsvarar en rå bildpunkt.

-s [0..N-1] eller -s all
    Om en fil innehåller N råbilder, välj då en eller "all" för avkodning. T.ex. genererar Fuji Super CCD SR-kameror en extra bild som är underexponerad med fyra steg för att få fram detaljer i högdagrar.

FILER

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Lista på din kameras döda bildpunkter, så att dcraw kan interpolera runt dem. Varje rad specificerar kolumn, rad och UNIX-tid då bildpunkten dog. T.ex:

     962   91 1028350000  # dog mellan 1:e och 4:e augusti 2002
    1285 1067 0           # Vet inte när denna bildpunkt dog.

    Dessa är koordinater innan rotation eller beskärning gjorts, så använd dcraw -j -t 0 för att söka rätt på döda bildpunkter.

SE OCKSÅ
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

FÖRFATTARE
Skriven av David Coffin, dcoffin a cybercom o net

ÖVERSÄTTARE
Lars Lindley, lindley a coyote o org
Johnny Rosenberg, guraknugen a gmail o com